import { Link } from "@inertiajs/react";
import React, { useState, useEffect } from "react";
import "../../css/main.css";
import "../../css/spacing.css";
function TabList() {
    const [activePath, setActivePath] = useState(window.location.pathname);

    const handleClick = (path) => {
        setActivePath(path);
    };

    useEffect(() => {
        const handlePopState = () => {
            setActivePath(window.location.pathname);
        };
        window.addEventListener("popstate", handlePopState);

        return () => {
            window.removeEventListener("popstate", handlePopState);
        };
    }, []);
    return (
        <>
            <div className="row">
                <div className="col-12">
                    <div className="shadow-md pt-5 pb-3 px-6">
                        <h2>My Account</h2>
                        <div className="">
                            <ul className="flex text-[#697089] gap-6 mt-4 text-[15px] font-medium">
                                <li>
                                    <Link
                                        className={
                                            activePath === "/user/profile" ||
                                            activePath === "/account"
                                                ? "active px-3 py-2 text-white"
                                                : ""
                                        }
                                        href={route("user.profile")}
                                    >
                                        Profile
                                    </Link>
                                </li>
                                {/*<li>
        <Link className={activePath === '/billing' ? 'active' : ''} href="/billing" onClick={() => handleClick('/billing')}>Billing</Link>
      </li>
      */}
                                <li>
                                    <Link
                                        className={
                                            activePath === "/user/branding"
                                                ? "active px-3 py-2 text-white"
                                                : ""
                                        }
                                        href={route("user.branding")}
                                    >
                                        Branding
                                    </Link>
                                </li>
                                <li>
                                    <Link
                                        className={
                                            activePath === "/user/social-media"
                                                ? "active px-3 py-2 text-white"
                                                : ""
                                        }
                                        href={route("social_media.get")}
                                    >
                                        Social Profile
                                    </Link>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </>
    );
}

export default TabList;
